package com.caimei365.order.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Description
 */
@Data
public class HeliDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 订单Id
     */
    @ApiModelProperty("订单Id")
    private Integer orderId;
    /**
     * 支付金额，单位分，必须大于2
     */
    @ApiModelProperty("支付金额，单位元，必须大于0.02")
    private String payAmount;
    /**
     * 页面回调地址
     */
    @ApiModelProperty("支付成功跳转地址")
    private String returnUrl;
    /**
     * 微信小程序code,微信小程序支付使用
     */
    @ApiModelProperty("微信小程序code")
    private String code;
    /**
     * 微信公众号state参数
     */
    @ApiModelProperty("微信公众号state参数")
    private String state;
    /**
     * 银行编码(银联支付使用)
     */
    @ApiModelProperty("银行编码(银联支付使用)")
    private String bankCode;
    /**
     * 用户类型(银联支付使用)
     * 企业：B2B
     * 个人：B2C
     */
    @ApiModelProperty("用户类型(银联支付使用)企业:B2B，个人:B2C")
    private String userType;


    @ApiModelProperty("支付类型 微信:WXEWM  支付宝:ZFBEWM 公众号:GZH 小程序：XCX 银联:YL")
    private String payType;

    /**
     * 会员购买记录Id
     */
    @ApiModelProperty("会员购买记录Id")
    private Integer vipRecordId;
    /**
     * 二手发布商品id
     */
    @ApiModelProperty("二手发布商品id")
    private Integer productId;
    /**
     * 子订单Id
     */
    @ApiModelProperty("子订单Id")
    private Integer shopOrderId;

    /**
     * 购买优惠券Id
     */
    @ApiModelProperty("购买优惠券Id")
    private Integer couponId;
    /**
     * userId
     */
    @ApiModelProperty("userId")
    private Integer userId;
    /**
     * 购买记录id
     */
    @ApiModelProperty("购买记录id")
    private Integer couponRecordId;
    /**
     *  1小程序 2网站
     */
    @ApiModelProperty("领取渠道1小程序 2网站")
    private Integer source;
}

